Page MenuHomePhabricator

Decomission palladium
Closed, ResolvedPublic

Description

palladium is due to be decomissioned. It no longer accepts any requests for puppet configuration and is no longer being updated either. We should go through a period, allowing for all people to fix their scripts and train their muscle memory to stop using palladium, as well as to get anything they require off of it. The Message of The Day has been updated to point that out.

Details

Event Timeline

akosiaris created this task.Oct 4 2016, 3:16 PM

Setting to stalled for say.. 2 weeks ?

Dzahn awarded a token.Oct 4 2016, 4:36 PM
akosiaris added subscribers: faidon, Joe.

Change 315891 had a related patch set uploaded (by Dzahn):
decom palladium from puppet, install_server, network constants

https://gerrit.wikimedia.org/r/315891

Change 315893 had a related patch set uploaded (by Dzahn):
ori: update personal dot files

https://gerrit.wikimedia.org/r/315893

Change 315894 had a related patch set uploaded (by Dzahn):
puppetmaster: replace palladium with puppetmaster1001 as default

https://gerrit.wikimedia.org/r/315894

Change 315894 merged by Alexandros Kosiaris:
puppetmaster: replace palladium with puppetmaster1001 as default

https://gerrit.wikimedia.org/r/315894

Change 315893 merged by Ori.livneh:
ori: update personal dot files

https://gerrit.wikimedia.org/r/315893

Dzahn added a comment.Oct 18 2016, 5:14 PM

Setting to stalled for say.. 2 weeks ?

The 2 weeks are over today, exactly 14 days afer that comment.

Dzahn changed the task status from Stalled to Open.Oct 18 2016, 5:14 PM

@Joe ok with you if i go ahead and now merge https://gerrit.wikimedia.org/r/#/c/315891/ and actually shutdown palladium?

FWIW, I am fine with that. But probably send one last heads up to ops@.

Dzahn added a comment.Oct 21 2016, 5:42 PM

yep, "last heads up" sent to ops@ now

Change 315891 merged by Dzahn:
decom palladium from puppet, install_server, network constants

https://gerrit.wikimedia.org/r/315891

Mentioned in SAL (#wikimedia-operations) [2016-10-25T23:21:25Z] <mutante> removed palladium from puppet (T147320). puppet node clean

Change 318034 had a related patch set uploaded (by Dzahn):
remove palladium.eqiad, keep palladium.mgmt.eqiad

https://gerrit.wikimedia.org/r/318034

Change 318034 merged by Dzahn:
remove palladium.eqiad, keep palladium.mgmt.eqiad

https://gerrit.wikimedia.org/r/318034

Everything is gone, including DNS, just that i can't get it out of Icinga, even though i ran puppet node deactivate more than once, and even on both masters.

It was still in Icinga because puppet was disabled on einsteinium temp. It's gone now.

done. resolving. T149395 is for datacenter follow-up work.

Dzahn closed this task as Resolved.Oct 28 2016, 1:54 AM